> For the complete documentation index, see [llms.txt](https://docs.nubrick.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nubrick.app/reference/flutter/nubrickanchor.md).

# NubrickAnchor

### インターフェース

Tooltipを紐づけるUI部品。表示対象となるWidgetを囲んで使用します。

```dart
class NubrickAnchor extends StatefulWidget {
  final String id;
  final Widget child;

  const NubrickAnchor(
    this.id, {
    super.key,
    required this.child,
  });
}
```

NubrickAnchorで囲んだWidgetに対して、ユーザーオンボーディングや機能ガイドをNubrickの管理画面から作成して、表示することができます。

### サンプルコード

対象のWidgetを `NubrickAnchor` でラップし、ID（例: `"MY_TOOLTIP_ID"`）を指定してください。

```dart
NubrickAnchor(
  "MY_TOOLTIP_ID",
  child: ElevatedButton(
    onPressed: () {
      print("MY_TOOLTIP anchor button pressed");
    },
    child: Text('MY_TOOLTIP anchor'),
  ),
)
```

ナビゲーションバーアイコンなどでも使用可能です：

```dart
BottomNavigationBarItem(
  icon: NubrickAnchor(
    "NAV_ITEM_A",
    child: Icon(Icons.business),
  ),
  label: 'Page A',
)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nubrick.app/reference/flutter/nubrickanchor.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
